ScreenConnect iOS app 5.6 problem with Nginx Proxy



  • If you run the ScreenConnect iOS app use a Nginx proxy to front your web interface to ScreenConnect, you may run into this error that incorrectly states you are on version 1.X of ScreenConnect and the app only supports version 5.3 or higher.
    0_1485821464907_upload-0a5e7917-9901-4640-9941-f147f84394fc

    The problem is that the app is detecting the Nginx version instead of your ScreenConnect version.

    You can easily fix this by hiding it. Open your site config file and add server_tokens off; in the server or location sections of the config file.

    I stuck mine in the server section.

    server {
        client_max_body_size 40M;
        listen 443 ssl;
        server_name support.bundystl.com;
        server_tokens off;
        ssl          on;
    


  • @gjacobse fix @Dashrender's system. He gets this error in the iOS app.



  • Thanks JB - I'll look into that - likely tomorrow as I'm busy right now.

    However, I was just able to access his system via my iOS device with no issues. That being said - that doesn't discount the need to do that.



  • @gjacobse said in ScreenConnect iOS app 5.6 problem with Nginx Proxy:

    Thanks JB - I'll look into that - likely tomorrow as I'm busy right now.

    However, I was just able to access his system via my iOS device with no issues. That being said - that doesn't discount the need to do that.

    wonder why mine didn' work?



  • @dashrender

    My first guess is to check the url - It does need to be https://



  • Okay - so the reason I am able to use ScreenConnect on iOS is due to it being the Legacy version.

    I'll see about sorting this out in the morning - I'm done with IT for the night.



  • Yeah me for posting shit always.. Just needed this again.

    Saw the error and I was like.. hmm I posted about this.

    e73ed3df-73d6-4e5b-a0b5-9f55aabbde79-image.png